Bug 314781 - segfault in dmeventd when attempting to down convert a mirror with active I/O
segfault in dmeventd when attempting to down convert a mirror with active I/O
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper (Show other bugs)
4.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-01 17:57 EDT by Corey Marthaler
Modified: 2010-01-11 21:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 19:04:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-10-01 17:57:28 EDT
Description of problem:
This may not be ther corrcet compontent to file this bug under but...

The mirror had 4 legs I believe and I was trying to down convert it to 3 legs.
lvconvert -m 2 /dev/helter_skelter/mirror

Oct  1 15:40:03 link-02 kernel: dmeventd[12010]: segfault at 000000000000001e
rip 00000031b8768f01 rsp 0000007fbffff620 error 4


I couldn't find a core to go with this, even though I have the ulimits set to
unlimited.

I'll try and reproduce this issue and gather more info.

Version-Release number of selected component (if applicable):
2.6.9-59.ELsmp
cmirror-kernel-2.6.9-37.1
device-mapper-1.02.21-1.el4
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Petr Rockai 2008-05-05 11:38:41 EDT
How much reproducible this is? Could I replicate that myself? Under what 
setup? (I haven't noticed other reports of dmeventd segfaulting, but I 
understand people could just not notice...). Also, dmeventd actions are fairly 
rare in practice, I understand.

Note You need to log in before you can comment on or make changes to this bug.